<%@ Page Language="C#" %>
<%@ assembly name="MW6.ASPNET.QRCode" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.Drawing.Drawing2D" %>
<%@ import Namespace="MW6.ASPNET.QRCode" %>
<script runat="server">

    void OutputImg()
    {
		Bitmap objBitmap;
		Graphics objGraphics;

		int ActualRows = 0;
		int ActualCols = 0;
		int ActualWidth = 0;
		int ActualHeight = 0;
		Point p;

		Response.ContentType = "image/Gif";

		QRCodeNet MyQRCode = new QRCodeNet();
		MyQRCode.BackColor =  Color.FromName(Request.QueryString["BackColor"]);
		MyQRCode.BarColor =  Color.FromName(Request.QueryString["BarColor"]);
		MyQRCode.ModuleSize = (float)System.Convert.ToDouble(Request.QueryString["CellSize"]);
		MyQRCode.Data = System.Web.HttpUtility.UrlDecode(Request.QueryString["Data"]);
		MyQRCode.Level = (enumLevel)System.Convert.ToInt16(Request.QueryString["Level"]);
		MyQRCode.Mask = (enumMask)System.Convert.ToInt16(Request.QueryString["Mask"]);
		MyQRCode.Orientation = (enumOrientation)System.Convert.ToInt16(Request.QueryString["Orientation"]);
		MyQRCode.Version = (enumVersion)System.Convert.ToInt16(Request.QueryString["Version"]);

		ActualWidth  = 0;
		ActualHeight = 0;
		// Get actual rows and columns of QRCode barcode
		MyQRCode.GetActualRC(ref ActualRows, ref ActualCols);

		// Get actual barcode width and height
		// Render barcode on computer screen
		MyQRCode.GetActualSize(ref ActualWidth, ref ActualHeight);

		// Image size = barcode size + extra space
		MyQRCode.SetSize(ActualWidth + 20, ActualHeight + 60);

		objBitmap = new Bitmap(ActualWidth + 20, ActualHeight + 60);
		objGraphics = Graphics.FromImage(objBitmap);

		p = new Point(0, 0) ;
		MyQRCode.Render(objGraphics, p);
		objGraphics.Flush();

		objBitmap.Save(Response.OutputStream, System.Drawing.Imaging.ImageFormat.Gif);
    }

</script>
<% OutputImg(); %>
